<?php
ob_start();
define('NTOP', 1);
$title = 'Страница авторизации';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
switch ($act){
default:
unreg();
echo '<div class="topik">Авторизация</div><div class="stat">';
if(!isset($_POST['ok'])){
echo '<form action="enter.php" method="POST">
<b>Ваш логин:</b><br>
<input type="text" class="input" name="login" maxlength="30" value="" size="20" maxlength="30" ><br>
<b>Ваш пароль:</b><br>
<input type="password" class="input" name="password" maxlength="30" value="" size="20" maxlength="50" ><br><br>
<input name="ok" type="submit" value="Войти" ><br><br>
Если еще нет учетной записи пройдите<br><a href="reg.php"><b>Регистрацию</b></a>
Забыли свой пароль<br><a href="pass.php"><b>Вспомнить</b></a></div>';
}else{
if(empty($_POST['login']) OR empty($_POST['password']))
{
$error = 'Одно из полей не было заполнено!<br>';
}
if(mb_strlen($_POST['login']) > 30 OR mb_strlen($_POST['login']) < 3)
{
$error.='Поле "Логин" должно быть не меньше 3 и не больше 30 символов!<br>';
}
if(mb_strlen($_POST['password']) > 30 OR mb_strlen($_POST['password']) < 3)
{
$error.='Поле "Пароль" должно быть не меньше 3 и не больше 50 символов!<br>';
}
if(isset($error)){
echo''.$error.'<a href="/str/enter.php">Назад</a></div>';
}else{
$login = filter($_POST['login']);
$password = md5(filter($_POST['password']));
$user_isset = mysql_query("SELECT * FROM `".$prefix."users` WHERE `login` = '".$login."' AND `password` = '".$password."'");
if(mysql_num_rows($user_isset) > 0)
{
$row = mysql_fetch_array($user_isset);
SetCookie('login',$login,time()+3600*24*365, '/');
SetCookie('password',$password,time()+3600*24*365, '/');
echo 'Здравствуйте, <strong>'.$row['login'].'</strong><br>
Ваш IP: <font color="green"><strong>'.$ip.'</strong></font><br>
Ваш User-Agent: <font color="green"><strong>'.$ua.'</strong></font><br><br>
<a href="/str/office.php"><b>Мой кабинет</b></a></div>';
}else{
echo 'Пользователь не найден в базе , или данные не верны! <font color="red">Внимание: если вы зарегистрированы  от 07.10.12 до 22.10.12 г. То возможна ваши данные нет в базе извините! Зарегистрируйтесь занаво!</font><br>
<a href="/str/enter.php">Назад</a></div>';
}}}
break;
case 'exit':
reg();
if(isset($_COOKIE['login']) AND isset($_COOKIE['password'])){
SetCookie('login','',time(), '/');
SetCookie('password','',time(), '/');
echo '<div class="topik">Удачный выход</div>
<div class="stat">Вы успешно вышли!<br/>
<a href="/">Главная</a></div>';
}
else
{
echo '<div class="topik">Ошибка</div>
<div class="stat">Вы не авторизованы для выхода!<br>
<a href="/">Главная</a></div>';
}
break;

case 'allon':
$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online`"));
if($all != 0){
echo '<div class="topik">Общий онлайн</div><div class="top">IP &#187; UA &bull; Время</div>';
$total=intval(($all-1)/$pages)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0){
$page = 1;}
if($page > $total){
$page = $total;}
$past=intval($all/$pages);
$start=$page*$pages-$pages;
$onl = mysql_query("SELECT * FROM `".$prefix."sait_online` LIMIT ".$start.",".$pages."");
while($row = mysql_fetch_array($onl)){
echo '<div class="table">'.$row['ip'].' &#187; '.$row['ua'].' &bull; '.data($row['time']).'</div>';}
navigation($all,$pages,$page,'enter.php?act=allon&',$total);
}else{
echo 'Нет статистики по онлайн для этого сайта сегодня.<br/>';}
break;
}

require_once ('foot.php');
?>
